Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

metadata.rb is missing in rabbitmq 3.10.0 cookbook #233

Closed
mffrench opened this issue Feb 24, 2015 · 7 comments

Comments

@mffrench
Copy link

commented Feb 24, 2015

Hello,

I just tried to install rabbitmq 3.10.0 cookbook but it fails :

$ knife cookbook site install rabbitmq 3.10.0
Installing rabbitmq to /CC.mffrench/DEV/ariane.master/ariane.community.environment/Chef/cookbooks
Checking out the master branch.
Pristine copy branch (chef-vendor-rabbitmq) exists, switching to it.
Downloading rabbitmq from the cookbooks site at version 3.10.0 to /CC.mffrench/DEV/ariane.master/ariane.community.environment/Chef/cookbooks/rabbitmq.tar.gz
Cookbook saved: /CC.mffrench/DEV/ariane.master/ariane.community.environment/Chef/cookbooks/rabbitmq.tar.gz
Removing pre-existing version.
Uncompressing rabbitmq version 3.10.0.
removing downloaded tarball
No changes made to rabbitmq
Checking out the master branch.
ERROR: IOError: Cannot open or read /CC.mffrench/DEV/ariane.master/ariane.community.environment/Chef/cookbooks/rabbitmq/metadata.rb!

So I tried to download the cookbook and check if the metadata.rb was in the tarball but unfortunately the tarball doesn't contain the file :

$ knife cookbook site download rabbitmq 3.10.0                       100 ↵
Downloading rabbitmq from the cookbooks site at version 3.10.0 to /home/mffrench/rabbitmq-3.10.0.tar.gz
Cookbook saved: /home/mffrench/rabbitmq-3.10.0.tar.gz
$ tar zxvf rabbitmq-3.10.0.tar.gz 
rabbitmq/README.md
rabbitmq/CHANGELOG.md
rabbitmq/metadata.json
rabbitmq/attributes/default.rb
rabbitmq/libraries/default.rb
rabbitmq/libraries/matchers.rb
rabbitmq/providers/parameter.rb
rabbitmq/providers/plugin.rb
rabbitmq/providers/policy.rb
rabbitmq/providers/user.rb
rabbitmq/providers/vhost.rb
rabbitmq/recipes/community_plugins.rb
rabbitmq/recipes/default.rb
rabbitmq/recipes/mgmt_console.rb
rabbitmq/recipes/plugin_management.rb
rabbitmq/recipes/policy_management.rb
rabbitmq/recipes/user_management.rb
rabbitmq/recipes/virtualhost_management.rb
rabbitmq/resources/parameter.rb
rabbitmq/resources/plugin.rb
rabbitmq/resources/policy.rb
rabbitmq/resources/user.rb
rabbitmq/resources/vhost.rb
rabbitmq/templates/default
rabbitmq/templates/default/doterlang.cookie.erb
rabbitmq/templates/default/rabbitmq-env.conf.erb
rabbitmq/templates/default/rabbitmq.config.erb
rabbitmq/templates/default/rabbitmq.upstart.conf.erb

So I guess my install problem is coming from this metadata.rb missing from the tarbal... What do you think ?

Regards,

Mathilde

@jjasghar

This comment has been minimized.

Copy link
Collaborator

commented Feb 24, 2015

Can you cat out the metadata.json for us here? In essence is the same file just a different format.

@mffrench

This comment has been minimized.

Copy link
Author

commented Feb 24, 2015

yep ! here is the cat ;)

$ cat rabbitmq/metadata.json
{
"name": "rabbitmq",
"version": "3.10.0",
"description": "Installs and configures RabbitMQ server",
"long_description": "",
"maintainer": "Chef, Inc.",
"maintainer_email": "cookbooks@chef.io",
"license": "Apache 2.0",
"platforms": {
"debian": ">= 0.0.0",
"ubuntu": ">= 0.0.0",
"redhat": ">= 0.0.0",
"centos": ">= 0.0.0",
"scientific": ">= 0.0.0",
"oracle": ">= 0.0.0",
"smartos": ">= 0.0.0",
"suse": ">= 0.0.0"
},
"dependencies": {
"erlang": ">= 0.9",
"yum-epel": ">= 0.0.0",
"yum-erlang_solutions": ">= 0.0.0"
},
"recommendations": {
},
"suggestions": {
},
"conflicting": {
},
"providing": {
},
"replacing": {
},
"attributes": {
"rabbitmq": {
"display_name": "RabbitMQ",
"description": "Hash of RabbitMQ attributes",
"type": "hash"
},
"rabbitmq/nodename": {
"display_name": "RabbitMQ Erlang node name",
"description": "The Erlang node name for this server.",
"default": "node['hostname']"
},
"rabbitmq/address": {
"display_name": "RabbitMQ server IP address",
"description": "IP address to bind."
},
"rabbitmq/port": {
"display_name": "RabbitMQ server port",
"description": "TCP port to bind."
},
"rabbitmq/config": {
"display_name": "RabbitMQ config file to load",
"description": "Path to the rabbitmq.config file, if any."
},
"rabbitmq/logdir": {
"display_name": "RabbitMQ log directory",
"description": "Path to the directory for log files."
},
"rabbitmq/mnesiadir": {
"display_name": "RabbitMQ Mnesia database directory",
"description": "Path to the directory for Mnesia database files."
},
"rabbitmq/cluster": {
"display_name": "RabbitMQ clustering",
"description": "Whether to activate clustering.",
"default": "no"
},
"rabbitmq/cluster_config": {
"display_name": "RabbitMQ clustering configuration file",
"description": "Path to the clustering configuration file, if cluster is yes.",
"default": "/etc/rabbitmq/rabbitmq_cluster.config"
},
"rabbitmq/cluster_disk_nodes": {
"display_name": "RabbitMQ cluster disk nodes",
"description": "Array of member Erlang nodenames for the disk-based storage nodes in the cluster.",
"default": [

  ],
  "type": "array"
},
"rabbitmq/erlang_cookie": {
  "display_name": "RabbitMQ Erlang cookie",
  "description": "Access cookie for clustering nodes.  There is no default."
},
"rabbitmq/virtualhosts": {
  "display_name": "Virtualhosts on rabbitmq instance",
  "description": "List all virtualhosts that will exist",
  "default": [

  ],
  "type": "array"
},
"rabbitmq/enabled_users": {
  "display_name": "Users and their rights on rabbitmq instance",
  "description": "Users and description of their rights",
  "default": [
    {
      "name": "guest",
      "password": "guest",
      "rights": [
        {
          "vhost": null,
          "conf": ".*",
          "write": ".*",
          "read": ".*"
        }
      ]
    }
  ],
  "type": "array"
},
"rabbitmq/disabled_users": {
  "display_name": "Disabled users",
  "description": "List all users that will be deactivated",
  "default": [

  ],
  "type": "array"
},
"rabbitmq/enabled_plugins": {
  "display_name": "Enabled plugins",
  "description": "List all plugins that will be activated",
  "default": [

  ],
  "type": "array"
},
"rabbitmq/disabled_plugins": {
  "display_name": "Disabled plugins",
  "description": "List all plugins that will be deactivated",
  "default": [

  ],
  "type": "array"
},
"rabbitmq/local_erl_networking": {
  "display_name": "Local Erlang networking",
  "description": "Bind erlang networking to localhost"
},
"rabbitmq/erl_networking_bind_address": {
  "display_name": "Erl Networking Bind Address",
  "description": "Bind Rabbit and erlang networking to an address"
},
"rabbitmq/loopback_users": {
  "display_name": "Loopback Users",
  "description": "A list of users which can only connect over a loopback interface (localhost)",
  "default": null,
  "type": "array"
}

},
"groupings": {
},
"recipes": {
"rabbitmq": "Install and configure RabbitMQ",
"rabbitmq::cluster": "Set up RabbitMQ clustering.",
"rabbitmq::plugin_management": "Manage plugins with node attributes",
"rabbitmq::virtualhost_management": "Manage virtualhost with node attributes",
"rabbitmq::user_management": "Manage users with node attributes"
}
}%

@cmluciano

This comment has been minimized.

Copy link
Collaborator

commented Mar 2, 2015

@mffrench Are you still having this issue?

@mffrench

This comment has been minimized.

Copy link
Author

commented Mar 10, 2015

@cmluciano since 3.11.0 I don't have the issue anymore on rabbitmq but now I get the same error on erlang 1.5.7 :

 9 files changed, 27 insertions(+), 41 deletions(-)
 delete mode 100644 Chef/cookbooks/erlang/metadata.rb
Cookbook erlang version 1.5.7 successfully installed
ERROR: IOError: Cannot open or read /CC.mffrench/DEV/ariane.master/ariane.community.environment/Chef/cookbooks/erlang/metadata.rb!

I will open a ticket on the erlang chef project ...

@mffrench

This comment has been minimized.

Copy link
Author

commented Mar 10, 2015

Note : I'm using chef development kit 0.2.1 ... probably should I upgrade this ?

@mffrench

This comment has been minimized.

Copy link
Author

commented Mar 10, 2015

$ chef -v
Chef Development Kit Version: 0.2.1
$ knife -v
Chef: 11.14.6
@cmluciano

This comment has been minimized.

Copy link
Collaborator

commented Mar 10, 2015

@mffrench I commented on the erlang issue. Closing this on this repo.

@cmluciano cmluciano closed this Mar 10, 2015

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
3 participants
You can’t perform that action at this time.